Skip to main content
POST
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

suite_id
string
required

Body

application/json
org_id
string
required

The org that receives read-only access to this suite and all of its runs. Must not be the owning org.

Pattern: ^(?!\.\.?$)[^\s/\p{C}]{1,255}$

Response

200 - application/json

OK

id
string
required
object
any
required
suite_id
string
required
org_id
string
required

The org granted read-only access.

granted_by
string
required

The user id that granted the share.

created_at
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991